export type DocumentType = 'driving_licence' | 'national_identity_card' | 'residence_permit' | 'passport';
export type DocumentTypeGeneric = 'generic_document';
type DocumentCountrySelection = {
    documentType: DocumentType;
    issuingCountry: string;
};
type DocumentAllSelection = {
    documentType: DocumentType;
    allCountries: true;
};
type DocumentGenericSelection = {
    documentType: DocumentTypeGeneric;
    id: string;
};
export declare const isDocumentCountrySelection: (selection: DocumentSelection) => selection is DocumentCountrySelection;
export declare const isDocumentAllSelection: (selection: DocumentSelection) => selection is DocumentAllSelection;
export declare const isDocumentGenericSelection: (selection: DocumentSelection) => selection is DocumentGenericSelection;
export type DocumentSelection = DocumentCountrySelection | DocumentAllSelection | DocumentGenericSelection;
export type DocumentSelectionFilter = {
    include?: DocumentSelection[];
    exclude?: DocumentSelection[];
};
export type GenericDocumentType = {
    id: string;
    title: string;
    subTitle: string;
    country: string;
    pages: string;
};
export type DocumentModuleConfiguration = {
    filter?: DocumentSelectionFilter;
    extend?: GenericDocumentType[];
    hideCountrySelection?: boolean;
    uploadFallback?: boolean;
};
export type DocumentModuleInput = Record<string, unknown>;
export type DocumentSideOutput = {
    id: string;
    type?: string;
};
export type Side = 'front' | 'back';
export type DocumentIds = Partial<Record<`${Side}` | `${Side}_video`, DocumentSideOutput>>;
export type DocumentModuleOutput = {
    type: string;
    sides: DocumentIds;
};
export type EnabledDocumentType = {
    country: string;
    document_type: string;
};
export type DocumentFeatureFlags = {
    auto_capture_enabled_documents: EnabledDocumentType[];
    auto_capture_timeout_ms?: number;
    enable_auto_capture_doc_capture?: boolean;
    enable_js_camera_doc_capture?: boolean;
    max_total_retries?: number;
    enable_native_camera_fallback?: boolean;
};
export {};
