import type { DocumentFeatureFlags } from './DocumentModule.types';
import type { FaceFeatureFlags } from './FaceModule.types';
export type LogLevels = 'debug' | 'info' | 'warning' | 'error' | 'fatal';
export type SdkFeatures = {
    enable_require_applicant_consents?: boolean;
    disable_cross_device_sms?: boolean;
    enable_in_house_analytics?: boolean;
    enable_performance_analytics?: boolean;
    enable_document_support_rules?: boolean;
    web_allow_source_only_media_callback?: boolean;
    web_enable_cross_device_verification?: boolean;
    logger?: {
        enabled?: boolean;
        levels?: LogLevels[];
    };
};
export type ExperimentalFeatures = {
    enable_multi_frame_capture?: boolean;
};
export type FeatureFlags = {
    document_capture?: DocumentFeatureFlags;
    face_selfie_capture?: FaceFeatureFlags;
    experimental_features?: ExperimentalFeatures;
    sdk_features?: SdkFeatures;
    device_intelligence?: {
        passive_signals?: Record<string, unknown>;
    };
};
